[Numpy-discussion] numpy 1.3.0 eggs with python2.6 seem broken on osx, and linux

David Cournapeau cournape@gmail....
Sat Nov 28 04:16:06 CST 2009


On Sat, Nov 28, 2009 at 6:34 PM, René Dudfield <renesd@gmail.com> wrote:
> Hi,
>
> the other day I tried installing numpy with easy_install, and did not have
> much luck with python2.6.

What problem exactly do you have ?

Since 1.3.0, the release process for numpy uses virtualenv internally
to build the installers, so at least python setupegg.py install works
as far as setuptools is concerned.

> The work around is to just install it in another way (eg, dmg or with
> setup.py install).

That's the recommended way anyway. I am trying to make sure we work
under as many cases as possible for packaging, but the underlying
python architecture for packaging is so fragile and flawed that things
will break from time to time.

David


More information about the NumPy-Discussion mailing list